dist:
  - trusty

language:
  - cpp

sudo:
  - false

os:
  - linux
  - osx

addons:
  apt:
    packages:
      - qt5-default
      
before_install:
  - ( cd ../ ; git clone https://github.com/piper-audio/piper )
  - ( cd ../ ; hg clone https://code.soundsoftware.ac.uk/hg/vamp-plugin-sdk )
  - ( cd ../ ; git clone https://github.com/sandstorm-io/capnproto )
  - ( cd ../capnproto/c++ ; ./setup-autotools.sh && autoreconf -i )
  - ( cd ../capnproto/c++ ; ./configure && make && sudo make install )
  - if [[ "$TRAVIS_OS_NAME" = "osx" ]] ; then brew install qt5 ; fi
  - if [[ "$TRAVIS_OS_NAME" = "osx" ]] ; then export PATH=$PATH:/usr/local/opt/qt5/bin ; fi
  - ( cd ../vamp-plugin-sdk ; if [[ "$TRAVIS_OS_NAME" = "osx" ]] ; then make -f build/Makefile.osx sdkstatic plugins ; else ./configure --disable-programs && make sdkstatic plugins; fi )

install:
  - sudo pip install jsonschema

script:
  - VAMP_PATH=$(pwd)/../vamp-plugin-sdk/examples ./test.sh

